Now I got an error while installing the third node too. I am attaching the
log file.

2017-02-06 16:43:51,488+05 INFO
[org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector]
(VdsDeploy) [2a3cb164-9fe7-4487-9837-1c84c9a6a2d3] EVENT_ID:
VDS_INSTALL_IN_PROGRESS(509), Correlation ID:
2a3cb164-9fe7-4487-9837-1c84c9a6a2d3, Call Stack: null, Custom Event ID:
-1, Message: Installing Host NFShost-235.6. Yum Status: Check Package
Signatures.
2017-02-06 16:43:51,496+05 INFO
[org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector]
(VdsDeploy) [2a3cb164-9fe7-4487-9837-1c84c9a6a2d3] EVENT_ID:
VDS_INSTALL_IN_PROGRESS(509), Correlation ID:
2a3cb164-9fe7-4487-9837-1c84c9a6a2d3, Call Stack: null, Custom Event ID:
-1, Message: Installing Host NFShost-235.6. Yum Status: Running Test
Transaction.
2017-02-06 16:43:51,638+05 INFO
[org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector]
(VdsDeploy) [2a3cb164-9fe7-4487-9837-1c84c9a6a2d3] EVENT_ID:
VDS_INSTALL_IN_PROGRESS(509), Correlation ID:
2a3cb164-9fe7-4487-9837-1c84c9a6a2d3, Call Stack: null, Custom Event ID:
-1, Message: Installing Host NFShost-235.6. Yum Status: Running Transaction.
2017-02-06 16:43:51,746+05 INFO
[org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector]
(VdsDeploy) [2a3cb164-9fe7-4487-9837-1c84c9a6a2d3] EVENT_ID:
VDS_INSTALL_IN_PROGRESS(509), Correlation ID:
2a3cb164-9fe7-4487-9837-1c84c9a6a2d3, Call Stack: null, Custom Event ID:
-1, Message: Installing Host NFShost-235.6. Yum update: 1/4:
ovirt-node-ng-image-4.1.0-1.el7.centos.noarch.
2017-02-06 16:43:56,054+05 INFO
[org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector]
(VdsDeploy) [2a3cb164-9fe7-4487-9837-1c84c9a6a2d3] EVENT_ID:
VDS_INSTALL_IN_PROGRESS(509), Correlation ID:
2a3cb164-9fe7-4487-9837-1c84c9a6a2d3, Call Stack: null, Custom Event ID:
-1, Message: Installing Host NFShost-235.6. Yum update: 2/4:
ovirt-node-ng-image-update-4.1.0-1.el7.centos.noarch.
2017-02-06 16:47:26,376+05 ERROR
[org.ovirt.engine.core.bll.hostdeploy.VdsDeployBase] (VdsDeploy)
[2a3cb164-9fe7-4487-9837-1c84c9a6a2d3] Error during deploy dialog:
java.io.IOException: Unexpected connection termination
    at
org.ovirt.otopi.dialog.MachineDialogParser.nextEvent(MachineDialogParser.java:376)
[otopi.jar:]
    at
org.ovirt.otopi.dialog.MachineDialogParser.nextEvent(MachineDialogParser.java:393)
[otopi.jar:]
    at
org.ovirt.engine.core.bll.hostdeploy.VdsDeployBase.threadMain(VdsDeployBase.java:304)
[bll.jar:]
    at
org.ovirt.engine.core.bll.hostdeploy.VdsDeployBase.lambda$new$0(VdsDeployBase.java:383)
[bll.jar:]
    at java.lang.Thread.run(Thread.java:745) [rt.jar:1.8.0_121]

2017-02-06 16:47:26,379+05 ERROR
[org.ovirt.engine.core.uutils.ssh.SSHDialog] (pool-5-thread-8)
[2a3cb164-9fe7-4487-9837-1c84c9a6a2d3] SSH error running command
root@10.1.235.6:'umask 0077; MYTMP="$(TMPDIR="${OVIRT_TMPDIR}" mktemp -d -t
ovirt-XXXXXXXXXX)"; trap "chmod -R u+rwX \"${MYTMP}\" > /dev/null 2>&1; rm
-fr \"${MYTMP}\" > /dev/null 2>&1" 0; tar --warning=no-timestamp -C
"${MYTMP}" -x &&  "${MYTMP}"/ovirt-host-mgmt DIALOG/dialect=str:machine
DIALOG/customization=bool:True': SSH session hard timeout host '
root@10.1.235.6'
2017-02-06 16:47:26,379+05 ERROR
[org.ovirt.engine.core.uutils.ssh.SSHDialog] (pool-5-thread-8)
[2a3cb164-9fe7-4487-9837-1c84c9a6a2d3] Exception:
javax.naming.TimeLimitExceededException: SSH session hard timeout host '
root@10.1.235.6'
    at
org.ovirt.engine.core.uutils.ssh.SSHClient.executeCommand(SSHClient.java:475)
[uutils.jar:]
    at
org.ovirt.engine.core.uutils.ssh.SSHDialog.executeCommand(SSHDialog.java:317)
[uutils.jar:]
    at
org.ovirt.engine.core.bll.hostdeploy.VdsDeployBase.execute(VdsDeployBase.java:563)
[bll.jar:]
    at
org.ovirt.engine.core.bll.host.HostUpgradeManager.update(HostUpgradeManager.java:99)
[bll.jar:]
    at
org.ovirt.engine.core.bll.hostdeploy.UpgradeHostInternalCommand.executeCommand(UpgradeHostInternalCommand.java:72)
[bll.jar:]
    at
org.ovirt.engine.core.bll.CommandBase.executeWithoutTransaction(CommandBase.java:1251)
[bll.jar:]
    at
org.ovirt.engine.core.bll.CommandBase.executeActionInTransactionScope(CommandBase.java:1391)
[bll.jar:]
    at
org.ovirt.engine.core.bll.CommandBase.runInTransaction(CommandBase.java:2055)
[bll.jar:]
    at
org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInSuppressed(TransactionSupport.java:164)
[utils.jar:]
    at
org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInScope(TransactionSupport.java:103)
[utils.jar:]
    at org.ovirt.engine.core.bll.CommandBase.execute(CommandBase.java:1451)
[bll.jar:]
    at
org.ovirt.engine.core.bll.CommandBase.executeAction(CommandBase.java:397)
[bll.jar:]
    at
org.ovirt.engine.core.bll.executor.DefaultBackendActionExecutor.execute(DefaultBackendActionExecutor.java:13)
[bll.jar:]
    at org.ovirt.engine.core.bll.Backend.runAction(Backend.java:511)
[bll.jar:]
    at org.ovirt.engine.core.bll.Backend.runAction(Backend.java:753)
[bll.jar:]
    at sun.reflect.GeneratedMethodAccessor298.invoke(Unknown Source)
[:1.8.0_121]
    at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
[rt.jar:1.8.0_121]
    at java.lang.reflect.Method.invoke(Method.java:498) [rt.jar:1.8.0_121]
    at
org.jboss.as.ee.component.ManagedReferenceMethodInterceptor.processInvocation(ManagedReferenceMethodInterceptor.java:52)
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.invocation.InterceptorContext$Invocation.proceed(InterceptorContext.java:437)
    at
org.jboss.as.weld.ejb.Jsr299BindingsInterceptor.delegateInterception(Jsr299BindingsInterceptor.java:70)
[wildfly-weld-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.as.weld.ejb.Jsr299BindingsInterceptor.doMethodInterception(Jsr299BindingsInterceptor.java:80)
[wildfly-weld-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.as.weld.ejb.Jsr299BindingsInterceptor.processInvocation(Jsr299BindingsInterceptor.java:93)
[wildfly-weld-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.as.ee.component.interceptors.UserInterceptorFactory$1.processInvocation(UserInterceptorFactory.java:63)
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.invocation.InterceptorContext$Invocation.proceed(InterceptorContext.java:437)
    at
org.ovirt.engine.core.bll.interceptors.CorrelationIdTrackerInterceptor.aroundInvoke(CorrelationIdTrackerInterceptor.java:13)
[bll.jar:]
    at sun.reflect.GeneratedMethodAccessor135.invoke(Unknown Source)
[:1.8.0_121]
    at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
[rt.jar:1.8.0_121]
    at java.lang.reflect.Method.invoke(Method.java:498) [rt.jar:1.8.0_121]
    at
org.jboss.as.ee.component.ManagedReferenceLifecycleMethodInterceptor.processInvocation(ManagedReferenceLifecycleMethodInterceptor.java:89)
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.as.ejb3.component.invocationmetrics.ExecutionTimeInterceptor.processInvocation(ExecutionTimeInterceptor.java:43)
[wildfly-ejb3-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.invocation.InterceptorContext$Invocation.proceed(InterceptorContext.java:437)
    at
org.jboss.weld.ejb.AbstractEJBRequestScopeActivationInterceptor.aroundInvoke(AbstractEJBRequestScopeActivationInterceptor.java:73)
[weld-core-impl-2.3.5.Final.jar:2.3.5.Final]
    at
org.jboss.as.weld.ejb.EjbRequestScopeActivationInterceptor.processInvocation(EjbRequestScopeActivationInterceptor.java:83)
[wildfly-weld-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.as.ee.concurrent.ConcurrentContextInterceptor.processInvocation(ConcurrentContextInterceptor.java:45)
[wildfly-ee-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.invocation.InitialInterceptor.processInvocation(InitialInterceptor.java:21)
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:61)
    at
org.jboss.as.ee.component.interceptors.ComponentDispatcherInterceptor.processInvocation(ComponentDispatcherInterceptor.java:52)
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.as.ejb3.component.singleton.SingletonComponentInstanceAssociationInterceptor.processInvocation(SingletonComponentInstanceAssociationInterceptor.java:53)
[wildfly-ejb3-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.as.ejb3.tx.CMTTxInterceptor.invokeInNoTx(CMTTxInterceptor.java:263)
[wildfly-ejb3-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.as.ejb3.tx.CMTTxInterceptor.supports(CMTTxInterceptor.java:374)
[wildfly-ejb3-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.as.ejb3.tx.CMTTxInterceptor.processInvocation(CMTTxInterceptor.java:243)
[wildfly-ejb3-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.as.ejb3.component.interceptors.CurrentInvocationContextInterceptor.processInvocation(CurrentInvocationContextInterceptor.java:41)
[wildfly-ejb3-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.as.ejb3.component.invocationmetrics.WaitTimeInterceptor.processInvocation(WaitTimeInterceptor.java:47)
[wildfly-ejb3-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.as.ejb3.security.SecurityContextInterceptor.processInvocation(SecurityContextInterceptor.java:100)
[wildfly-ejb3-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.as.ejb3.deployment.processors.StartupAwaitInterceptor.processInvocation(StartupAwaitInterceptor.java:22)
[wildfly-ejb3-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.as.ejb3.component.interceptors.ShutDownInterceptorFactory$1.processInvocation(ShutDownInterceptorFactory.java:64)
[wildfly-ejb3-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.as.ejb3.component.interceptors.LoggingInterceptor.processInvocation(LoggingInterceptor.java:67)
[wildfly-ejb3-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.as.ee.component.NamespaceContextInterceptor.processInvocation(NamespaceContextInterceptor.java:50)
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.invocation.ContextClassLoaderInterceptor.processInvocation(ContextClassLoaderInterceptor.java:64)
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.invocation.InterceptorContext.run(InterceptorContext.java:356)
    at
org.wildfly.security.manager.WildFlySecurityManager.doChecked(WildFlySecurityManager.java:636)
    at
org.jboss.invocation.AccessCheckingInterceptor.processInvocation(AccessCheckingInterceptor.java:61)
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.invocation.InterceptorContext.run(InterceptorContext.java:356)
    at
org.jboss.invocation.PrivilegedWithCombinerInterceptor.processInvocation(PrivilegedWithCombinerInterceptor.java:80)
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:61)
    at
org.jboss.as.ee.component.ViewService$View.invoke(ViewService.java:198)
    at
org.jboss.as.ee.component.ViewDescription$1.processInvocation(ViewDescription.java:185)
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:61)
    at
org.jboss.as.ee.component.ProxyInvocationHandler.invoke(ProxyInvocationHandler.java:73)
    at
org.ovirt.engine.core.bll.interfaces.BackendCommandObjectsHandler$$$view5.runAction(Unknown
Source) [bll.jar:]
    at
org.ovirt.engine.core.bll.tasks.CommandExecutor.executeCommand(CommandExecutor.java:57)
[bll.jar:]
    at
org.ovirt.engine.core.bll.tasks.CommandExecutor.lambda$executeAsyncCommand$0(CommandExecutor.java:46)
[bll.jar:]
    at java.util.concurrent.FutureTask.run(FutureTask.java:266)
[rt.jar:1.8.0_121]
    at
java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)
[rt.jar:1.8.0_121]
    at
java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)
[rt.jar:1.8.0_121]
    at java.lang.Thread.run(Thread.java:745) [rt.jar:1.8.0_121]

2017-02-06 16:47:26,387+05 ERROR
[org.ovirt.engine.core.bll.hostdeploy.VdsDeployBase] (pool-5-thread-8)
[2a3cb164-9fe7-4487-9837-1c84c9a6a2d3] Timeout during host 10.1.235.6
install: javax.naming.TimeLimitExceededException: SSH session hard timeout
host 'root@10.1.235.6'
    at
org.ovirt.engine.core.uutils.ssh.SSHClient.executeCommand(SSHClient.java:475)
[uutils.jar:]
    at
org.ovirt.engine.core.uutils.ssh.SSHDialog.executeCommand(SSHDialog.java:317)
[uutils.jar:]
    at
org.ovirt.engine.core.bll.hostdeploy.VdsDeployBase.execute(VdsDeployBase.java:563)
[bll.jar:]
    at
org.ovirt.engine.core.bll.host.HostUpgradeManager.update(HostUpgradeManager.java:99)
[bll.jar:]
    at
org.ovirt.engine.core.bll.hostdeploy.UpgradeHostInternalCommand.executeCommand(UpgradeHostInternalCommand.java:72)
[bll.jar:]
    at
org.ovirt.engine.core.bll.CommandBase.executeWithoutTransaction(CommandBase.java:1251)
[bll.jar:]
    at
org.ovirt.engine.core.bll.CommandBase.executeActionInTransactionScope(CommandBase.java:1391)
[bll.jar:]
    at
org.ovirt.engine.core.bll.CommandBase.runInTransaction(CommandBase.java:2055)
[bll.jar:]
    at
org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInSuppressed(TransactionSupport.java:164)
[utils.jar:]
    at
org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInScope(TransactionSupport.java:103)
[utils.jar:]
    at org.ovirt.engine.core.bll.CommandBase.execute(CommandBase.java:1451)
[bll.jar:]
    at
org.ovirt.engine.core.bll.CommandBase.executeAction(CommandBase.java:397)
[bll.jar:]
    at
org.ovirt.engine.core.bll.executor.DefaultBackendActionExecutor.execute(DefaultBackendActionExecutor.java:13)
[bll.jar:]
    at org.ovirt.engine.core.bll.Backend.runAction(Backend.java:511)
[bll.jar:]
    at org.ovirt.engine.core.bll.Backend.runAction(Backend.java:753)
[bll.jar:]
    at sun.reflect.GeneratedMethodAccessor298.invoke(Unknown Source)
[:1.8.0_121]
    at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
[rt.jar:1.8.0_121]
    at java.lang.reflect.Method.invoke(Method.java:498) [rt.jar:1.8.0_121]
    at
org.jboss.as.ee.component.ManagedReferenceMethodInterceptor.processInvocation(ManagedReferenceMethodInterceptor.java:52)
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.invocation.InterceptorContext$Invocation.proceed(InterceptorContext.java:437)
    at
org.jboss.as.weld.ejb.Jsr299BindingsInterceptor.delegateInterception(Jsr299BindingsInterceptor.java:70)
[wildfly-weld-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.as.weld.ejb.Jsr299BindingsInterceptor.doMethodInterception(Jsr299BindingsInterceptor.java:80)
[wildfly-weld-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.as.weld.ejb.Jsr299BindingsInterceptor.processInvocation(Jsr299BindingsInterceptor.java:93)
[wildfly-weld-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.as.ee.component.interceptors.UserInterceptorFactory$1.processInvocation(UserInterceptorFactory.java:63)
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.invocation.InterceptorContext$Invocation.proceed(InterceptorContext.java:437)
    at
org.ovirt.engine.core.bll.interceptors.CorrelationIdTrackerInterceptor.aroundInvoke(CorrelationIdTrackerInterceptor.java:13)
[bll.jar:]
    at sun.reflect.GeneratedMethodAccessor135.invoke(Unknown Source)
[:1.8.0_121]
    at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
[rt.jar:1.8.0_121]
    at java.lang.reflect.Method.invoke(Method.java:498) [rt.jar:1.8.0_121]
    at
org.jboss.as.ee.component.ManagedReferenceLifecycleMethodInterceptor.processInvocation(ManagedReferenceLifecycleMethodInterceptor.java:89)
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.as.ejb3.component.invocationmetrics.ExecutionTimeInterceptor.processInvocation(ExecutionTimeInterceptor.java:43)
[wildfly-ejb3-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.invocation.InterceptorContext$Invocation.proceed(InterceptorContext.java:437)
    at
org.jboss.weld.ejb.AbstractEJBRequestScopeActivationInterceptor.aroundInvoke(AbstractEJBRequestScopeActivationInterceptor.java:73)
[weld-core-impl-2.3.5.Final.jar:2.3.5.Final]
    at
org.jboss.as.weld.ejb.EjbRequestScopeActivationInterceptor.processInvocation(EjbRequestScopeActivationInterceptor.java:83)
[wildfly-weld-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.as.ee.concurrent.ConcurrentContextInterceptor.processInvocation(ConcurrentContextInterceptor.java:45)
[wildfly-ee-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.invocation.InitialInterceptor.processInvocation(InitialInterceptor.java:21)
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:61)
    at
org.jboss.as.ee.component.interceptors.ComponentDispatcherInterceptor.processInvocation(ComponentDispatcherInterceptor.java:52)
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.as.ejb3.component.singleton.SingletonComponentInstanceAssociationInterceptor.processInvocation(SingletonComponentInstanceAssociationInterceptor.java:53)
[wildfly-ejb3-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.as.ejb3.tx.CMTTxInterceptor.invokeInNoTx(CMTTxInterceptor.java:263)
[wildfly-ejb3-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.as.ejb3.tx.CMTTxInterceptor.supports(CMTTxInterceptor.java:374)
[wildfly-ejb3-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.as.ejb3.tx.CMTTxInterceptor.processInvocation(CMTTxInterceptor.java:243)
[wildfly-ejb3-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.as.ejb3.component.interceptors.CurrentInvocationContextInterceptor.processInvocation(CurrentInvocationContextInterceptor.java:41)
[wildfly-ejb3-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.as.ejb3.component.invocationmetrics.WaitTimeInterceptor.processInvocation(WaitTimeInterceptor.java:47)
[wildfly-ejb3-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.as.ejb3.security.SecurityContextInterceptor.processInvocation(SecurityContextInterceptor.java:100)
[wildfly-ejb3-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.as.ejb3.deployment.processors.StartupAwaitInterceptor.processInvocation(StartupAwaitInterceptor.java:22)
[wildfly-ejb3-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.as.ejb3.component.interceptors.ShutDownInterceptorFactory$1.processInvocation(ShutDownInterceptorFactory.java:64)
[wildfly-ejb3-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.as.ejb3.component.interceptors.LoggingInterceptor.processInvocation(LoggingInterceptor.java:67)
[wildfly-ejb3-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.as.ee.component.NamespaceContextInterceptor.processInvocation(NamespaceContextInterceptor.java:50)
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.invocation.ContextClassLoaderInterceptor.processInvocation(ContextClassLoaderInterceptor.java:64)
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.invocation.InterceptorContext.run(InterceptorContext.java:356)
    at
org.wildfly.security.manager.WildFlySecurityManager.doChecked(WildFlySecurityManager.java:636)
    at
org.jboss.invocation.AccessCheckingInterceptor.processInvocation(AccessCheckingInterceptor.java:61)
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.invocation.InterceptorContext.run(InterceptorContext.java:356)
    at
org.jboss.invocation.PrivilegedWithCombinerInterceptor.processInvocation(PrivilegedWithCombinerInterceptor.java:80)
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:61)
    at
org.jboss.as.ee.component.ViewService$View.invoke(ViewService.java:198)
    at
org.jboss.as.ee.component.ViewDescription$1.processInvocation(ViewDescription.java:185)
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:61)
    at
org.jboss.as.ee.component.ProxyInvocationHandler.invoke(ProxyInvocationHandler.java:73)
    at
org.ovirt.engine.core.bll.interfaces.BackendCommandObjectsHandler$$$view5.runAction(Unknown
Source) [bll.jar:]
    at
org.ovirt.engine.core.bll.tasks.CommandExecutor.executeCommand(CommandExecutor.java:57)
[bll.jar:]
    at
org.ovirt.engine.core.bll.tasks.CommandExecutor.lambda$executeAsyncCommand$0(CommandExecutor.java:46)
[bll.jar:]
    at java.util.concurrent.FutureTask.run(FutureTask.java:266)
[rt.jar:1.8.0_121]
    at
java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)
[rt.jar:1.8.0_121]
    at
java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)
[rt.jar:1.8.0_121]
    at java.lang.Thread.run(Thread.java:745) [rt.jar:1.8.0_121]

2017-02-06 16:47:26,406+05 ERROR
[org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector]
(pool-5-thread-8) [2a3cb164-9fe7-4487-9837-1c84c9a6a2d3] EVENT_ID:
VDS_INSTALL_IN_PROGRESS_ERROR(511), Correlation ID:
2a3cb164-9fe7-4487-9837-1c84c9a6a2d3, Call Stack: null, Custom Event ID:
-1, Message: Failed to install Host NFShost-235.6. Processing stopped due
to timeout.
2017-02-06 16:47:26,406+05 ERROR
[org.ovirt.engine.core.bll.host.HostUpgradeManager] (pool-5-thread-8)
[2a3cb164-9fe7-4487-9837-1c84c9a6a2d3] Failed to update host
'NFShost-235.6' packages 'ovirt-node-ng-image-update'.
2017-02-06 16:47:26,407+05 ERROR
[org.ovirt.engine.core.bll.host.HostUpgradeManager] (pool-5-thread-8)
[2a3cb164-9fe7-4487-9837-1c84c9a6a2d3] Exception:
javax.naming.TimeLimitExceededException: SSH session hard timeout host '
root@10.1.235.6'
    at
org.ovirt.engine.core.uutils.ssh.SSHClient.executeCommand(SSHClient.java:475)
[uutils.jar:]
    at
org.ovirt.engine.core.uutils.ssh.SSHDialog.executeCommand(SSHDialog.java:317)
[uutils.jar:]
    at
org.ovirt.engine.core.bll.hostdeploy.VdsDeployBase.execute(VdsDeployBase.java:563)
[bll.jar:]
    at
org.ovirt.engine.core.bll.host.HostUpgradeManager.update(HostUpgradeManager.java:99)
[bll.jar:]
    at
org.ovirt.engine.core.bll.hostdeploy.UpgradeHostInternalCommand.executeCommand(UpgradeHostInternalCommand.java:72)
[bll.jar:]
    at
org.ovirt.engine.core.bll.CommandBase.executeWithoutTransaction(CommandBase.java:1251)
[bll.jar:]
    at
org.ovirt.engine.core.bll.CommandBase.executeActionInTransactionScope(CommandBase.java:1391)
[bll.jar:]
    at
org.ovirt.engine.core.bll.CommandBase.runInTransaction(CommandBase.java:2055)
[bll.jar:]
    at
org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInSuppressed(TransactionSupport.java:164)
[utils.jar:]
    at
org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInScope(TransactionSupport.java:103)
[utils.jar:]
    at org.ovirt.engine.core.bll.CommandBase.execute(CommandBase.java:1451)
[bll.jar:]
    at
org.ovirt.engine.core.bll.CommandBase.executeAction(CommandBase.java:397)
[bll.jar:]
    at
org.ovirt.engine.core.bll.executor.DefaultBackendActionExecutor.execute(DefaultBackendActionExecutor.java:13)
[bll.jar:]
    at org.ovirt.engine.core.bll.Backend.runAction(Backend.java:511)
[bll.jar:]
    at org.ovirt.engine.core.bll.Backend.runAction(Backend.java:753)
[bll.jar:]
    at sun.reflect.GeneratedMethodAccessor298.invoke(Unknown Source)
[:1.8.0_121]
    at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
[rt.jar:1.8.0_121]
    at java.lang.reflect.Method.invoke(Method.java:498) [rt.jar:1.8.0_121]
    at
org.jboss.as.ee.component.ManagedReferenceMethodInterceptor.processInvocation(ManagedReferenceMethodInterceptor.java:52)
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.invocation.InterceptorContext$Invocation.proceed(InterceptorContext.java:437)
    at
org.jboss.as.weld.ejb.Jsr299BindingsInterceptor.delegateInterception(Jsr299BindingsInterceptor.java:70)
[wildfly-weld-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.as.weld.ejb.Jsr299BindingsInterceptor.doMethodInterception(Jsr299BindingsInterceptor.java:80)
[wildfly-weld-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.as.weld.ejb.Jsr299BindingsInterceptor.processInvocation(Jsr299BindingsInterceptor.java:93)
[wildfly-weld-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.as.ee.component.interceptors.UserInterceptorFactory$1.processInvocation(UserInterceptorFactory.java:63)
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.invocation.InterceptorContext$Invocation.proceed(InterceptorContext.java:437)
    at
org.ovirt.engine.core.bll.interceptors.CorrelationIdTrackerInterceptor.aroundInvoke(CorrelationIdTrackerInterceptor.java:13)
[bll.jar:]
    at sun.reflect.GeneratedMethodAccessor135.invoke(Unknown Source)
[:1.8.0_121]
    at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
[rt.jar:1.8.0_121]
    at java.lang.reflect.Method.invoke(Method.java:498) [rt.jar:1.8.0_121]
    at
org.jboss.as.ee.component.ManagedReferenceLifecycleMethodInterceptor.processInvocation(ManagedReferenceLifecycleMethodInterceptor.java:89)
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.as.ejb3.component.invocationmetrics.ExecutionTimeInterceptor.processInvocation(ExecutionTimeInterceptor.java:43)
[wildfly-ejb3-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.invocation.InterceptorContext$Invocation.proceed(InterceptorContext.java:437)
    at
org.jboss.weld.ejb.AbstractEJBRequestScopeActivationInterceptor.aroundInvoke(AbstractEJBRequestScopeActivationInterceptor.java:73)
[weld-core-impl-2.3.5.Final.jar:2.3.5.Final]
    at
org.jboss.as.weld.ejb.EjbRequestScopeActivationInterceptor.processInvocation(EjbRequestScopeActivationInterceptor.java:83)
[wildfly-weld-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.as.ee.concurrent.ConcurrentContextInterceptor.processInvocation(ConcurrentContextInterceptor.java:45)
[wildfly-ee-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.invocation.InitialInterceptor.processInvocation(InitialInterceptor.java:21)
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:61)
    at
org.jboss.as.ee.component.interceptors.ComponentDispatcherInterceptor.processInvocation(ComponentDispatcherInterceptor.java:52)
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.as.ejb3.component.singleton.SingletonComponentInstanceAssociationInterceptor.processInvocation(SingletonComponentInstanceAssociationInterceptor.java:53)
[wildfly-ejb3-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.as.ejb3.tx.CMTTxInterceptor.invokeInNoTx(CMTTxInterceptor.java:263)
[wildfly-ejb3-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.as.ejb3.tx.CMTTxInterceptor.supports(CMTTxInterceptor.java:374)
[wildfly-ejb3-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.as.ejb3.tx.CMTTxInterceptor.processInvocation(CMTTxInterceptor.java:243)
[wildfly-ejb3-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.as.ejb3.component.interceptors.CurrentInvocationContextInterceptor.processInvocation(CurrentInvocationContextInterceptor.java:41)
[wildfly-ejb3-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.as.ejb3.component.invocationmetrics.WaitTimeInterceptor.processInvocation(WaitTimeInterceptor.java:47)
[wildfly-ejb3-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.as.ejb3.security.SecurityContextInterceptor.processInvocation(SecurityContextInterceptor.java:100)
[wildfly-ejb3-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.as.ejb3.deployment.processors.StartupAwaitInterceptor.processInvocation(StartupAwaitInterceptor.java:22)
[wildfly-ejb3-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.as.ejb3.component.interceptors.ShutDownInterceptorFactory$1.processInvocation(ShutDownInterceptorFactory.java:64)
[wildfly-ejb3-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.as.ejb3.component.interceptors.LoggingInterceptor.processInvocation(LoggingInterceptor.java:67)
[wildfly-ejb3-10.1.0.Final.jar:10.1.0.Final]
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.as.ee.component.NamespaceContextInterceptor.processInvocation(NamespaceContextInterceptor.java:50)
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.invocation.ContextClassLoaderInterceptor.processInvocation(ContextClassLoaderInterceptor.java:64)
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.invocation.InterceptorContext.run(InterceptorContext.java:356)
    at
org.wildfly.security.manager.WildFlySecurityManager.doChecked(WildFlySecurityManager.java:636)
    at
org.jboss.invocation.AccessCheckingInterceptor.processInvocation(AccessCheckingInterceptor.java:61)
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.invocation.InterceptorContext.run(InterceptorContext.java:356)
    at
org.jboss.invocation.PrivilegedWithCombinerInterceptor.processInvocation(PrivilegedWithCombinerInterceptor.java:80)
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:61)
    at
org.jboss.as.ee.component.ViewService$View.invoke(ViewService.java:198)
    at
org.jboss.as.ee.component.ViewDescription$1.processInvocation(ViewDescription.java:185)
    at
org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
    at
org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:61)
    at
org.jboss.as.ee.component.ProxyInvocationHandler.invoke(ProxyInvocationHandler.java:73)
    at
org.ovirt.engine.core.bll.interfaces.BackendCommandObjectsHandler$$$view5.runAction(Unknown
Source) [bll.jar:]
    at
org.ovirt.engine.core.bll.tasks.CommandExecutor.executeCommand(CommandExecutor.java:57)
[bll.jar:]
    at
org.ovirt.engine.core.bll.tasks.CommandExecutor.lambda$executeAsyncCommand$0(CommandExecutor.java:46)
[bll.jar:]
    at java.util.concurrent.FutureTask.run(FutureTask.java:266)
[rt.jar:1.8.0_121]
    at
java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)
[rt.jar:1.8.0_121]
    at
java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)
[rt.jar:1.8.0_121]
    at java.lang.Thread.run(Thread.java:745) [rt.jar:1.8.0_121]

2017-02-06 16:47:26,411+05 INFO
[org.ovirt.engine.core.vdsbroker.SetVdsStatusVDSCommand] (pool-5-thread-8)
[2a3cb164-9fe7-4487-9837-1c84c9a6a2d3] START,
SetVdsStatusVDSCommand(HostName = NFShost-235.6,
SetVdsStatusVDSCommandParameters:{runAsync='true',
hostId='f6aeb334-6081-479b-bf69-c5d869941aa0', status='InstallFailed',
nonOperationalReason='NONE', stopSpmFailureLogged='false',
maintenanceReason='null'}), log id: 18edb8b3
2017-02-06 16:47:26,415+05 INFO
[org.ovirt.engine.core.vdsbroker.SetVdsStatusVDSCommand] (pool-5-thread-8)
[2a3cb164-9fe7-4487-9837-1c84c9a6a2d3] FINISH, SetVdsStatusVDSCommand, log
id: 18edb8b3
2017-02-06 16:47:26,448+05 ERROR
[org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector]
(pool-5-thread-8) [2a3cb164-9fe7-4487-9837-1c84c9a6a2d3] EVENT_ID:
HOST_UPGRADE_FAILED(841), Correlation ID:
2a3cb164-9fe7-4487-9837-1c84c9a6a2d3, Call Stack: null, Custom Event ID:
-1, Message: Failed to upgrade Host NFShost-235.6 (User:
admin@internal-authz).

Thanks


On Mon, Feb 6, 2017 at 4:31 PM, Shalabh Goel <shalabhgoe...@gmail.com>
wrote:

> Hi,
>
> I have 3 nodes. 2 compute and 1 storage (NFS) and separate server for
> engine. I upgraded the engine first. I went on smoothly without any errors.
>
> Then I started upgrade on all 3 of them by installing the
> ovirt-release41.rpm. But the upgrade timed out and failed on all the 3
> nodes.
>
> Then I restarted upgrade on first node from within the engine again. The
> engine event log said the upgrade timed out but when I checked on the node,
> it was successful (means the yum service was running on the node and it
> installed the upagrde but the engine said otherwise). So I restarted that
> node. But after the reboot, the node was moved to non-operational by the
> engine because of the following error,
>  "Host host1 does not comply with the cluster Default networks, the
> following networks are missing on host: 'ovirtmgmt'".
>
> UPDATE: I enabled open-vswitch service on the this node and it has been
> successfully added to the engine.
>
> After that my second node developed some hardware problem. So I did a
> fresh install of ovirt 4.0.3 on it and then changed the repo files on it by
> replacing 40 by 41 in all the files (including ovirt-dependencies.repo). I
> upgraded it successfully and rebooted and logged in to 4.1. Now, in engine
> I removed the second node and tried to add it but I got the same error on
> this node too. I have enabled the open-vswitch service on this node too and
> rebooted the machine but the error stays the same. I think that the issue
> has something to do with OVS. Do you still want me to attach engine.log and
> host-deploy.log files?
>
> Meanwhile I have changed the changed the cluster and data center
> compatibility to 4.1
>
>
> Now regarding upgrade of the third node (storage). I moved the node to
> maintenance and ran the following command on the node:
>
> *yum install http://resources.ovirt.org/pub/yum-repo/ovirt-release41.rpm
> <http://resources.ovirt.org/pub/yum-repo/ovirt-release41.rpm>*
>
> When I run yum update, I am getting the following errors:
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
> *Loaded plugins: fastestmirror, imgbased-warningWarning: yum operations
> are not persisted across upgrades!Repository virtio-win-stable is listed
> more than once in the
> configurationcentos-opstools-testing
> | 2.9 kB  00:00:00
> centos-ovirt-common-candidate
> | 3.4 kB  00:00:00
> centos-ovirt41-candidate
> | 3.4 kB  00:00:00
> ovirt-4.1
> | 2.9 kB  00:00:00
> ovirt-4.1-centos-gluster38
> | 2.9 kB  00:00:00
> ovirt-4.1-epel/x86_64/metalink
> | 6.2 kB  00:00:00
> ovirt-4.1-epel
> | 4.3 kB  00:00:00
> ovirt-4.1-patternfly1-noarch-epel
> | 3.0 kB  00:00:00     (1/3):
> ovirt-4.1/7/primary_db
> |  88 kB  00:00:00     ovirt-4.1-epel/x86_64/primary_
> FAILED
> https://repo.fedoralinux.ir/pub/epel/7/x86_64/repodata/e8dcf6c8fd1618b376ebc6b71cab2f7d1e8f10d02bc9404825f0a2a0b524ef4c-primary.sqlite.xz
> <https://repo.fedoralinux.ir/pub/epel/7/x86_64/repodata/e8dcf6c8fd1618b376ebc6b71cab2f7d1e8f10d02bc9404825f0a2a0b524ef4c-primary.sqlite.xz>:
> [Errno 14] curl#60 - "Peer's Certificate has expired."Trying other
> mirror.It was impossible to connect to the CentOS servers.This could mean a
> connectivity issue in your environment, such as the requirement to
> configure a proxy,or a transparent proxy that tampers with TLS security, or
> an incorrect system clock.Please collect information about the specific
> failure that occurs in your environment,using the instructions in:
> https://access.redhat.com/solutions/1527033
> <https://access.redhat.com/solutions/1527033> and create a bug on
> https://bugs.centos.org/ <https://bugs.centos.org/>(2/3):
> ovirt-4.1-epel/x86_64/updateinfo
> | 730 kB  00:00:15     (3/3):
> ovirt-4.1-epel/x86_64/primary_db
> | 4.5 MB  00:00:27     Loading mirror speeds from cached hostfile *
> ovirt-4.0: ftp.nluug.nl <http://ftp.nluug.nl> * ovirt-4.0-epel:
> ae.mirror.rasanegar.com <http://ae.mirror.rasanegar.com> * ovirt-4.1:
> ftp.nluug.nl <http://ftp.nluug.nl> * ovirt-4.1-epel:
> ae.mirror.rasanegar.com <http://ae.mirror.rasanegar.com>Resolving
> Dependencies--> Running transaction check---> Package
> cockpit-ovirt-dashboard.noarch 0:0.10.6-1.3.6.el7.centos will be
> updated---> Package cockpit-ovirt-dashboard.noarch
> 0:0.10.7-0.0.6.el7.centos will be an update---> Package glusterfs.x86_64
> 0:3.7.13-1.el7 will be updated---> Package glusterfs.x86_64 0:3.8.8-1.el7
> will be an update---> Package glusterfs-api.x86_64 0:3.7.13-1.el7 will be
> updated---> Package glusterfs-api.x86_64 0:3.8.8-1.el7 will be an
> update---> Package glusterfs-cli.x86_64 0:3.7.13-1.el7 will be updated--->
> Package glusterfs-cli.x86_64 0:3.8.8-1.el7 will be an update---> Package
> glusterfs-client-xlators.x86_64 0:3.7.13-1.el7 will be updated---> Package
> glusterfs-client-xlators.x86_64 0:3.8.8-1.el7 will be an update---> Package
> glusterfs-fuse.x86_64 0:3.7.13-1.el7 will be updated---> Package
> glusterfs-fuse.x86_64 0:3.8.8-1.el7 will be an update---> Package
> glusterfs-geo-replication.x86_64 0:3.7.13-1.el7 will be updated---> Package
> glusterfs-geo-replication.x86_64 0:3.8.8-1.el7 will be an update--->
> Package glusterfs-libs.x86_64 0:3.7.13-1.el7 will be updated---> Package
> glusterfs-libs.x86_64 0:3.8.8-1.el7 will be an update---> Package
> glusterfs-rdma.x86_64 0:3.7.13-1.el7 will be updated---> Package
> glusterfs-rdma.x86_64 0:3.8.8-1.el7 will be an update---> Package
> glusterfs-server.x86_64 0:3.7.13-1.el7 will be updated---> Package
> glusterfs-server.x86_64 0:3.8.8-1.el7 will be an update---> Package
> imgbased.noarch 0:0.8.4-1.el7 will be updated---> Package imgbased.noarch
> 0:0.9.6-1.el7 will be an update---> Package ioprocess.x86_64 0:0.16.1-1.el7
> will be updated---> Package ioprocess.x86_64
> 0:0.17.0-1.201611101241.gitb7e353c.el7.centos will be an update---> Package
> mom.noarch 0:0.5.5-1.el7 will be updated---> Package mom.noarch
> 0:0.5.8-1.el7 will be an update---> Package openvswitch.x86_64
> 0:2.5.0-2.el7 will be updated---> Package openvswitch.x86_64
> 0:2.6.90-1.el7.centos will be an update---> Package otopi.noarch
> 0:1.5.2-1.el7.centos will be updated---> Package otopi.noarch
> 0:1.6.0-1.el7.centos will be an update---> Package
> ovirt-engine-sdk-python.noarch 0:3.6.8.0-1.el7.centos will be updated--->
> Package ovirt-engine-sdk-python.noarch 0:3.6.9.1-1.el7.centos will be an
> update---> Package ovirt-host-deploy.noarch 0:1.5.1-1.el7.centos will be
> updated---> Package ovirt-host-deploy.noarch 0:1.6.0-1.el7.centos will be
> an update---> Package ovirt-hosted-engine-ha.noarch 0:2.0.3-1.el7.centos
> will be updated---> Package ovirt-hosted-engine-ha.noarch
> 0:2.1.0.1-1.el7.centos will be an update---> Package
> ovirt-hosted-engine-setup.noarch 0:2.0.1.5-1.el7.centos will be updated--->
> Package ovirt-hosted-engine-setup.noarch 0:2.1.0.1-1.el7.centos will be an
> update--> Processing Dependency: rubygem-fluent-plugin-secure-forward for
> package: ovirt-hosted-engine-setup-2.1.0.1-1.el7.centos.noarch-->
> Processing Dependency: rubygem-fluent-plugin-rewrite-tag-filter for
> package: ovirt-hosted-engine-setup-2.1.0.1-1.el7.centos.noarch-->
> Processing Dependency: fluentd for package:
> ovirt-hosted-engine-setup-2.1.0.1-1.el7.centos.noarch--> Processing
> Dependency: collectd-write_http for package:
> ovirt-hosted-engine-setup-2.1.0.1-1.el7.centos.noarch--> Processing
> Dependency: collectd-virt for package:
> ovirt-hosted-engine-setup-2.1.0.1-1.el7.centos.noarch--> Processing
> Dependency: collectd-netlink for package:
> ovirt-hosted-engine-setup-2.1.0.1-1.el7.centos.noarch--> Processing
> Dependency: collectd-disk for package:
> ovirt-hosted-engine-setup-2.1.0.1-1.el7.centos.noarch--> Processing
> Dependency: collectd for package:
> ovirt-hosted-engine-setup-2.1.0.1-1.el7.centos.noarch---> Package
> ovirt-imageio-common.noarch 0:0.3.0-1.el7 will be updated---> Package
> ovirt-imageio-common.noarch 0:1.0.0-1.el7 will be an update---> Package
> ovirt-imageio-daemon.noarch 0:0.3.0-1.el7 will be updated---> Package
> ovirt-imageio-daemon.noarch 0:1.0.0-1.el7 will be an update---> Package
> ovirt-node-ng-image.noarch 0:4.0.6.1-1.el7 will be updated---> Package
> ovirt-node-ng-image.noarch 0:4.1.0-1.el7.centos will be an update--->
> Package ovirt-node-ng-image-update.noarch 0:4.0.6.1-1.el7 will be
> updated---> Package ovirt-node-ng-image-update.noarch 0:4.1.0-1.el7.centos
> will be an update---> Package ovirt-release-host-node.noarch 0:4.0.3-1.el7
> will be updated---> Package ovirt-release-host-node.noarch
> 0:4.1.0-1.el7.centos will be an update--> Processing Dependency: tcpdump
> for package: ovirt-release-host-node-4.1.0-1.el7.centos.noarch-->
> Processing Dependency: sysstat for package:
> ovirt-release-host-node-4.1.0-1.el7.centos.noarch--> Processing Dependency:
> screen for package: ovirt-release-host-node-4.1.0-1.el7.centos.noarch-->
> Processing Dependency: rng-tools for package:
> ovirt-release-host-node-4.1.0-1.el7.centos.noarch--> Processing Dependency:
> ovirt-node-ng-nodectl for package:
> ovirt-release-host-node-4.1.0-1.el7.centos.noarch--> Processing Dependency:
> net-snmp for package: ovirt-release-host-node-4.1.0-1.el7.centos.noarch--->
> Package ovirt-setup-lib.noarch 0:1.0.2-1.el7.centos will be updated--->
> Package ovirt-setup-lib.noarch 0:1.1.0-1.el7.centos will be an update--->
> Package python-cpopen.x86_64 0:1.5-1.el7 will be updated---> Package
> python-cpopen.x86_64 0:1.5-3.el7 will be an update---> Package
> python-ioprocess.noarch 0:0.16.1-1.el7 will be updated---> Package
> python-ioprocess.noarch 0:0.17.0-1.201611101242.gitb7e353c.el7.centos will
> be an update---> Package qemu-img-ev.x86_64 10:2.3.0-31.el7.16.1 will be
> updated---> Package qemu-img-ev.x86_64 10:2.6.0-28.el7_3.3.1 will be an
> update---> Package qemu-kvm-common-ev.x86_64 10:2.3.0-31.el7.16.1 will be
> updated---> Package qemu-kvm-common-ev.x86_64 10:2.6.0-28.el7_3.3.1 will be
> an update---> Package qemu-kvm-ev.x86_64 10:2.3.0-31.el7.16.1 will be
> updated---> Package qemu-kvm-ev.x86_64 10:2.6.0-28.el7_3.3.1 will be an
> update--> Processing Dependency: usbredir >= 0.7.1 for package:
> 10:qemu-kvm-ev-2.6.0-28.el7_3.3.1.x86_64--> Processing Dependency:
> seavgabios-bin >= 1.9.1-4 for package:
> 10:qemu-kvm-ev-2.6.0-28.el7_3.3.1.x86_64--> Processing Dependency: libusbx
> >= 1.0.19 for package: 10:qemu-kvm-ev-2.6.0-28.el7_3.3.1.x86_64-->
> Processing Dependency: ipxe-roms-qemu >= 20160127-4 for package:
> 10:qemu-kvm-ev-2.6.0-28.el7_3.3.1.x86_64---> Package
> qemu-kvm-tools-ev.x86_64 10:2.3.0-31.el7.16.1 will be updated---> Package
> qemu-kvm-tools-ev.x86_64 10:2.6.0-28.el7_3.3.1 will be an update--->
> Package vdsm.x86_64 0:4.18.11-1.el7.centos will be updated---> Package
> vdsm.x86_64 0:4.19.4-1.el7.centos will be an update--> Processing
> Dependency: sanlock >= 3.4.0-1 for package:
> vdsm-4.19.4-1.el7.centos.x86_64--> Processing Dependency: libvirt-python >=
> 2.0.0-2 for package: vdsm-4.19.4-1.el7.centos.x86_64--> Processing
> Dependency: libvirt-daemon-kvm >= 2.0.0-10.el7_3.4 for package:
> vdsm-4.19.4-1.el7.centos.x86_64---> Package vdsm-api.noarch
> 0:4.18.11-1.el7.centos will be updated---> Package vdsm-api.noarch
> 0:4.19.4-1.el7.centos will be an update---> Package vdsm-cli.noarch
> 0:4.18.11-1.el7.centos will be updated---> Package vdsm-cli.noarch
> 0:4.19.4-1.el7.centos will be an update---> Package vdsm-gluster.noarch
> 0:4.18.11-1.el7.centos will be updated---> Package vdsm-gluster.noarch
> 0:4.19.4-1.el7.centos will be an update---> Package
> vdsm-hook-ethtool-options.noarch 0:4.18.11-1.el7.centos will be updated--->
> Package vdsm-hook-ethtool-options.noarch 0:4.19.4-1.el7.centos will be an
> update---> Package vdsm-hook-fcoe.noarch 0:4.18.11-1.el7.centos will be
> updated---> Package vdsm-hook-fcoe.noarch 0:4.19.4-1.el7.centos will be an
> update---> Package vdsm-hook-openstacknet.noarch 0:4.18.11-1.el7.centos
> will be updated---> Package vdsm-hook-openstacknet.noarch
> 0:4.19.4-1.el7.centos will be an update---> Package
> vdsm-hook-vmfex-dev.noarch 0:4.18.11-1.el7.centos will be updated--->
> Package vdsm-hook-vmfex-dev.noarch 0:4.19.4-1.el7.centos will be an
> update---> Package vdsm-jsonrpc.noarch 0:4.18.11-1.el7.centos will be
> updated---> Package vdsm-jsonrpc.noarch 0:4.19.4-1.el7.centos will be an
> update---> Package vdsm-python.noarch 0:4.18.11-1.el7.centos will be
> updated---> Package vdsm-python.noarch 0:4.19.4-1.el7.centos will be an
> update---> Package vdsm-xmlrpc.noarch 0:4.18.11-1.el7.centos will be
> updated---> Package vdsm-xmlrpc.noarch 0:4.19.4-1.el7.centos will be an
> update---> Package vdsm-yajsonrpc.noarch 0:4.18.11-1.el7.centos will be
> updated---> Package vdsm-yajsonrpc.noarch 0:4.19.4-1.el7.centos will be an
> update--> Running transaction check---> Package collectd.x86_64
> 0:5.7.0-2.el7 will be installed--> Processing Dependency:
> libltdl.so.7()(64bit) for package: collectd-5.7.0-2.el7.x86_64---> Package
> collectd-disk.x86_64 0:5.7.0-2.el7 will be installed---> Package
> collectd-netlink.x86_64 0:5.7.0-2.el7 will be installed---> Package
> collectd-virt.x86_64 0:5.7.0-2.el7 will be installed---> Package
> collectd-write_http.x86_64 0:5.7.0-2.el7 will be installed---> Package
> fluentd.noarch 0:0.12.26-1.el7 will be installed--> Processing Dependency:
> rubygem-yajl-ruby for package: fluentd-0.12.26-1.el7.noarch--> Processing
> Dependency: rubygem-tzinfo-data for package:
> fluentd-0.12.26-1.el7.noarch--> Processing Dependency: rubygem-tzinfo for
> package: fluentd-0.12.26-1.el7.noarch--> Processing Dependency:
> rubygem-thread_safe for package: fluentd-0.12.26-1.el7.noarch--> Processing
> Dependency: rubygem-string-scrub for package:
> fluentd-0.12.26-1.el7.noarch--> Processing Dependency: rubygem-sigdump for
> package: fluentd-0.12.26-1.el7.noarch--> Processing Dependency:
> rubygem-msgpack for package: fluentd-0.12.26-1.el7.noarch--> Processing
> Dependency: rubygem-http_parser.rb for package:
> fluentd-0.12.26-1.el7.noarch--> Processing Dependency: rubygem-cool.io
> <http://rubygem-cool.io> for package: fluentd-0.12.26-1.el7.noarch-->
> Processing Dependency: /usr/bin/ruby for package:
> fluentd-0.12.26-1.el7.noarch---> Package ovirt-node-ng-nodectl.noarch
> 0:4.1.0-0.20170201.0.el7 will be installed---> Package
> ovirt-release-host-node.noarch 0:4.1.0-1.el7.centos will be an update-->
> Processing Dependency: tcpdump for package:
> ovirt-release-host-node-4.1.0-1.el7.centos.noarch--> Processing Dependency:
> sysstat for package: ovirt-release-host-node-4.1.0-1.el7.centos.noarch-->
> Processing Dependency: screen for package:
> ovirt-release-host-node-4.1.0-1.el7.centos.noarch--> Processing Dependency:
> rng-tools for package: ovirt-release-host-node-4.1.0-1.el7.centos.noarch-->
> Processing Dependency: net-snmp for package:
> ovirt-release-host-node-4.1.0-1.el7.centos.noarch---> Package
> qemu-kvm-ev.x86_64 10:2.6.0-28.el7_3.3.1 will be an update--> Processing
> Dependency: usbredir >= 0.7.1 for package:
> 10:qemu-kvm-ev-2.6.0-28.el7_3.3.1.x86_64--> Processing Dependency:
> seavgabios-bin >= 1.9.1-4 for package:
> 10:qemu-kvm-ev-2.6.0-28.el7_3.3.1.x86_64--> Processing Dependency: libusbx
> >= 1.0.19 for package: 10:qemu-kvm-ev-2.6.0-28.el7_3.3.1.x86_64-->
> Processing Dependency: ipxe-roms-qemu >= 20160127-4 for package:
> 10:qemu-kvm-ev-2.6.0-28.el7_3.3.1.x86_64---> Package
> rubygem-fluent-plugin-rewrite-tag-filter.noarch 0:1.5.5-1.el7.centos will
> be installed---> Package rubygem-fluent-plugin-secure-forward.noarch
> 0:0.4.3-1.el7 will be installed--> Processing Dependency:
> rubygem-resolve-hostname for package:
> rubygem-fluent-plugin-secure-forward-0.4.3-1.el7.noarch--> Processing
> Dependency: rubygem-proxifier for package:
> rubygem-fluent-plugin-secure-forward-0.4.3-1.el7.noarch--> Processing
> Dependency: /usr/bin/ruby for package:
> rubygem-fluent-plugin-secure-forward-0.4.3-1.el7.noarch---> Package
> vdsm.x86_64 0:4.19.4-1.el7.centos will be an update--> Processing
> Dependency: sanlock >= 3.4.0-1 for package:
> vdsm-4.19.4-1.el7.centos.x86_64--> Processing Dependency: libvirt-python >=
> 2.0.0-2 for package: vdsm-4.19.4-1.el7.centos.x86_64--> Processing
> Dependency: libvirt-daemon-kvm >= 2.0.0-10.el7_3.4 for package:
> vdsm-4.19.4-1.el7.centos.x86_64--> Running transaction check---> Package
> collectd.x86_64 0:5.7.0-2.el7 will be installed--> Processing Dependency:
> libltdl.so.7()(64bit) for package: collectd-5.7.0-2.el7.x86_64---> Package
> fluentd.noarch 0:0.12.26-1.el7 will be installed--> Processing Dependency:
> /usr/bin/ruby for package: fluentd-0.12.26-1.el7.noarch---> Package
> ovirt-release-host-node.noarch 0:4.1.0-1.el7.centos will be an update-->
> Processing Dependency: tcpdump for package:
> ovirt-release-host-node-4.1.0-1.el7.centos.noarch--> Processing Dependency:
> sysstat for package: ovirt-release-host-node-4.1.0-1.el7.centos.noarch-->
> Processing Dependency: screen for package:
> ovirt-release-host-node-4.1.0-1.el7.centos.noarch--> Processing Dependency:
> rng-tools for package: ovirt-release-host-node-4.1.0-1.el7.centos.noarch-->
> Processing Dependency: net-snmp for package:
> ovirt-release-host-node-4.1.0-1.el7.centos.noarch---> Package
> qemu-kvm-ev.x86_64 10:2.6.0-28.el7_3.3.1 will be an update--> Processing
> Dependency: usbredir >= 0.7.1 for package:
> 10:qemu-kvm-ev-2.6.0-28.el7_3.3.1.x86_64--> Processing Dependency:
> seavgabios-bin >= 1.9.1-4 for package:
> 10:qemu-kvm-ev-2.6.0-28.el7_3.3.1.x86_64--> Processing Dependency: libusbx
> >= 1.0.19 for package: 10:qemu-kvm-ev-2.6.0-28.el7_3.3.1.x86_64-->
> Processing Dependency: ipxe-roms-qemu >= 20160127-4 for package:
> 10:qemu-kvm-ev-2.6.0-28.el7_3.3.1.x86_64---> Package rubygem-cool.io.x86_64
> 0:1.2.4-2.el7 will be installed--> Processing Dependency:
> libruby.so.2.0()(64bit) for package: rubygem-cool.io-1.2.4-2.el7.x86_64--->
> Package rubygem-fluent-plugin-secure-forward.noarch 0:0.4.3-1.el7 will be
> installed--> Processing Dependency: /usr/bin/ruby for package:
> rubygem-fluent-plugin-secure-forward-0.4.3-1.el7.noarch---> Package
> rubygem-http_parser.rb.x86_64 0:0.6.0-1.el7 will be installed--> Processing
> Dependency: libruby.so.2.0()(64bit) for package:
> rubygem-http_parser.rb-0.6.0-1.el7.x86_64---> Package
> rubygem-msgpack.x86_64 0:0.5.11-1.el7 will be installed--> Processing
> Dependency: libruby.so.2.0()(64bit) for package:
> rubygem-msgpack-0.5.11-1.el7.x86_64---> Package rubygem-proxifier.noarch
> 0:1.0.3-1.el7 will be installed--> Processing Dependency: /usr/bin/ruby for
> package: rubygem-proxifier-1.0.3-1.el7.noarch---> Package
> rubygem-resolve-hostname.noarch 0:0.0.4-1.el7 will be installed---> Package
> rubygem-sigdump.noarch 0:0.2.2-1.el7 will be installed---> Package
> rubygem-string-scrub.x86_64 0:0.0.5-1.el7 will be installed--> Processing
> Dependency: libruby.so.2.0()(64bit) for package:
> rubygem-string-scrub-0.0.5-1.el7.x86_64---> Package
> rubygem-thread_safe.noarch 0:0.3.4-1.el7 will be installed--> Processing
> Dependency: ruby(rubygems) for package:
> rubygem-thread_safe-0.3.4-1.el7.noarch--> Processing Dependency:
> ruby(release) for package: rubygem-thread_safe-0.3.4-1.el7.noarch--->
> Package rubygem-tzinfo.noarch 0:1.2.2-2.el7 will be installed---> Package
> rubygem-tzinfo-data.noarch 0:1.2014.10-2.el7 will be installed---> Package
> rubygem-yajl-ruby.x86_64 0:1.2.1-1.el7 will be installed--> Processing
> Dependency: libruby.so.2.0()(64bit) for package:
> rubygem-yajl-ruby-1.2.1-1.el7.x86_64---> Package vdsm.x86_64
> 0:4.19.4-1.el7.centos will be an update--> Processing Dependency: sanlock
> >= 3.4.0-1 for package: vdsm-4.19.4-1.el7.centos.x86_64--> Processing
> Dependency: libvirt-python >= 2.0.0-2 for package:
> vdsm-4.19.4-1.el7.centos.x86_64--> Processing Dependency:
> libvirt-daemon-kvm >= 2.0.0-10.el7_3.4 for package:
> vdsm-4.19.4-1.el7.centos.x86_64--> Processing Dependency: /usr/bin/ruby for
> package: rubygem-proxifier-1.0.3-1.el7.noarch--> Processing Dependency:
> /usr/bin/ruby for package: fluentd-0.12.26-1.el7.noarch--> Processing
> Dependency: /usr/bin/ruby for package:
> rubygem-fluent-plugin-secure-forward-0.4.3-1.el7.noarch--> Finished
> Dependency ResolutionError: Package: rubygem-thread_safe-0.3.4-1.el7.noarch
> (centos-opstools-testing)           Requires: ruby(release)Error: Package:
> vdsm-4.19.4-1.el7.centos.x86_64 (ovirt-4.1)           Requires: sanlock >=
> 3.4.0-1           Installed: sanlock-3.2.4-2.el7_2.x86_64
> (installed)               sanlock = 3.2.4-2.el7_2Error: Package:
> rubygem-msgpack-0.5.11-1.el7.x86_64 (centos-opstools-testing)
> Requires: libruby.so.2.0()(64bit)Error: Package:
> rubygem-cool.io-1.2.4-2.el7.x86_64 (centos-opstools-testing)
> Requires: libruby.so.2.0()(64bit)Error: Package:
> 10:qemu-kvm-ev-2.6.0-28.el7_3.3.1.x86_64 (ovirt-4.1)           Requires:
> libusbx >= 1.0.19           Installed: libusbx-1.0.15-4.el7.x86_64
> (installed)               libusbx = 1.0.15-4.el7Error: Package:
> ovirt-release-host-node-4.1.0-1.el7.centos.noarch (ovirt-4.1)
> Requires: screenError: Package:
> ovirt-release-host-node-4.1.0-1.el7.centos.noarch (ovirt-4.1)
> Requires: tcpdumpError: Package: vdsm-4.19.4-1.el7.centos.x86_64
> (ovirt-4.1)           Requires: libvirt-daemon-kvm >=
> 2.0.0-10.el7_3.4           Installed:
> libvirt-daemon-kvm-1.2.17-13.el7_2.5.x86_64 (installed)
> libvirt-daemon-kvm = 1.2.17-13.el7_2.5Error: Package:
> ovirt-release-host-node-4.1.0-1.el7.centos.noarch (ovirt-4.1)
> Requires: rng-toolsError: Package: 10:qemu-kvm-ev-2.6.0-28.el7_3.3.1.x86_64
> (ovirt-4.1)           Requires: seavgabios-bin >= 1.9.1-4
> Installed: seavgabios-bin-1.7.5-11.el7.noarch (installed)
> seavgabios-bin = 1.7.5-11.el7Error: Package: collectd-5.7.0-2.el7.x86_64
> (centos-opstools-testing)           Requires: libltdl.so.7()(64bit)Error:
> Package: fluentd-0.12.26-1.el7.noarch (centos-opstools-testing)
> Requires: /usr/bin/rubyError: Package: vdsm-4.19.4-1.el7.centos.x86_64
> (ovirt-4.1)           Requires: libvirt-python >= 2.0.0-2
> Installed: libvirt-python-1.2.17-2.el7.x86_64 (installed)
> libvirt-python = 1.2.17-2.el7Error: Package:
> 10:qemu-kvm-ev-2.6.0-28.el7_3.3.1.x86_64 (ovirt-4.1)           Requires:
> usbredir >= 0.7.1           Installed: usbredir-0.6-7.el7.x86_64
> (installed)               usbredir = 0.6-7.el7Error: Package:
> rubygem-proxifier-1.0.3-1.el7.noarch (centos-opstools-testing)
> Requires: /usr/bin/rubyError: Package:
> rubygem-thread_safe-0.3.4-1.el7.noarch (centos-opstools-testing)
> Requires: ruby(rubygems)Error: Package:
> rubygem-http_parser.rb-0.6.0-1.el7.x86_64
> (centos-opstools-testing)           Requires: libruby.so.2.0()(64bit)Error:
> Package: 10:qemu-kvm-ev-2.6.0-28.el7_3.3.1.x86_64 (ovirt-4.1)
> Requires: ipxe-roms-qemu >= 20160127-4           Installed:
> ipxe-roms-qemu-20130517-8.gitc4bce43.el7_2.1.noarch
> (installed)               ipxe-roms-qemu =
> 20130517-8.gitc4bce43.el7_2.1Error: Package:
> rubygem-fluent-plugin-secure-forward-0.4.3-1.el7.noarch
> (centos-opstools-testing)           Requires: /usr/bin/rubyError: Package:
> ovirt-release-host-node-4.1.0-1.el7.centos.noarch (ovirt-4.1)
> Requires: sysstatError: Package:
> ovirt-release-host-node-4.1.0-1.el7.centos.noarch (ovirt-4.1)
> Requires: net-snmpError: Package: rubygem-string-scrub-0.0.5-1.el7.x86_64
> (centos-opstools-testing)           Requires: libruby.so.2.0()(64bit)Error:
> Package: rubygem-yajl-ruby-1.2.1-1.el7.x86_64
> (centos-opstools-testing)           Requires: libruby.so.2.0()(64bit) You
> could try using --skip-broken to work around the problem You could try
> running: rpm -Va --nofiles --nodigest*
> But then I activated the node again and now I could check and start the
> upgrade from the engine portal. I faced this last time also. This is the
> reason I wanted to know the exact procedure of upgrading the ovirt-ng
> nodes.
>
>
> On Sun, Feb 5, 2017 at 4:09 PM, Yedidyah Bar David <d...@redhat.com>
> wrote:
>
>> (Re-adding the list)
>>
>> On Sun, Feb 5, 2017 at 12:23 PM, Shalabh Goel <shalabhgoe...@gmail.com>
>> wrote:
>> > Yes and no. First I did install ovirtrelease41 rpm in both nodes. Then
>> in
>> > one of the nodes, I started upgrade from the court engine administration
>> > portal.
>> > The second node developed some other problem and hence I had to remove
>> it
>> > from the court engine and I reinstalled ovirt 4.0.3 ng and then
>> upgraded it
>> > before adding it to the engine. It got upgraded successfully and I
>> rebooted
>> > and logged into 4.1 too.
>> >
>> > But I am getting the same error for both the nodes. The first one was
>> moved
>> > to non operational state by the engine. The second one is not getting
>> added.
>> >
>> > My VMs are in a third storage node *(NFS). I have not yet upgraded it
>> since
>> > other two upgrades failed.
>> >
>> > BTW I have changed the compatibility of cluster and data centre to 4.1.
>>
>> Your current state is not fully clear. Can you please describe it in
>> detail?
>>
>> How many hosts do you have? What's the state of each in the engine?
>>
>> Do you have VMs that are ok? And if so, is it important to not stop them?
>>
>> In any case, if you have hosts that do not have VMs on them, and in
>> whatever
>> state, it's probably simplest to move them to maintenance, remove from the
>> engine, reinstall the OS, then try to add them.
>>
>> If you try to add a host and it fails, please check/attach engine.log and
>> host-deploy log.
>>
>> If you fail to activate a host, please check/attach engine.log.
>>
>> Best,
>>
>> >
>> > Thanks
>> >
>> > Shalabh Goel
>> >
>> > On 05-Feb-2017 12:19 PM, "Yedidyah Bar David" <d...@redhat.com> wrote:
>> >>
>> >> On Fri, Feb 3, 2017 at 6:35 AM, Shalabh Goel <shalabhgoe...@gmail.com>
>> >> wrote:
>> >> > Hi can u just confirm something for me? I had to change the existing
>> >> > ovirt-4.0 repos to ovirt 4.1 (by replacing 40 by 41 in the repo
>> files).
>> >>
>> >> That's mostly ok, but generally you should install ovirt-release41.rpm.
>> >>
>> >> It will also add/update ovirt-*-dependencies.repo .
>> >>
>> >> > And
>> >> > then I ran yum update. And rebooted the nodes and booted into
>> >> > ovirt-node4.1.
>> >>
>> >> Didn't you move to maintenance? Were your VMs migrated correctly?
>> >>
>> >> > Is the procedure correct?
>> >> >
>> >> > Thanks
>> >> >
>> >> > Shalabh Goel
>> >> >
>> >> > On Thu, Feb 2, 2017 at 2:02 PM, Yedidyah Bar David <d...@redhat.com>
>> >> > wrote:
>> >> >>
>> >> >> On Thu, Feb 2, 2017 at 8:14 AM, Shalabh Goel <
>> shalabhgoe...@gmail.com>
>> >> >> wrote:
>> >> >> > Hi
>> >> >> >
>> >> >> > Ovirt 4.1 has been released, I want to to know how to upgrade the
>> >> >> > Ovirt
>> >> >> > nodes to 4.1. I was able to upgrade ovirt-engine but I could not
>> find
>> >> >> > how to
>> >> >> > upgrade node.
>> >> >>
>> >> >> Something like:
>> >> >>
>> >> >> 1. Move node to maintenance
>> >> >> 2. Add 4.1 repos
>> >> >> 3. yum update
>> >> >> 4. reboot
>> >> >> 5. Activate (exit maintenance)
>> >> >>
>> >> >> See also:
>> >> >>
>> >> >> https://www.ovirt.org/node/
>> >> >> http://www.ovirt.org/node/faq/
>> >> >>
>> >> >> If in "node" you referred to ovirt-node, and not a regular OS
>> install,
>> >> >> then
>> >> >> the flow is exactly the same, but what actually happens inside it is
>> >> >> very
>> >> >> different - the entire OS image is replaced.
>> >> >>
>> >> >> You might want to check also:
>> >> >>
>> >> >>
>> >> >>
>> >> >> http://www.ovirt.org/develop/release-management/features/eng
>> ine/upgrademanager/
>> >> >>
>> >> >> Best,
>> >> >> --
>> >> >> Didi
>> >> >
>> >> >
>> >> >
>> >> >
>> >> > --
>> >> > Shalabh Goel
>> >>
>> >>
>> >>
>> >> --
>> >> Didi
>>
>>
>>
>> --
>> Didi
>>
>
>
>
> --
> Shalabh Goel
>



-- 
Shalabh Goel
_______________________________________________
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users

Reply via email to